gnutls_crypto_cipher_register2(3)

NAME
gnutls_crypto_cipher_register2 - register a cipher interface

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_crypto_cipher_register2(int priority, int version, gnutls_crypto_cipher_st * s);

ARGUMENTS

int priority
    is the priority of the cipher interface

int version
    should be set to GNUTLS_CRYPTO_API_VERSION

gnutls_crypto_cipher_st * s
    is a structure holding new interface's data

DESCRIPTION
This function will register a cipher interface to be used by gnutls. Any interface registered will override the included engine and by convention kernel implemented interfaces should have priority of 90. The interface with the lowest priority will be used by gnutls.

This function should be called before gnutls_global_init().

For simplicity you can use the convenience gnutls_crypto_cipher_register() macro.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.